package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdExpress;
import com.xmomen.module.base.entity.CdExpressExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdExpressMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdExpressExample example);

    // 根据条件删除记录
    int deleteByExample(CdExpressExample example);

    // 插入记录
    int insertSelective(CdExpress record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdExpress record, @Param("example") CdExpressExample example);
}